
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef INITNG_PLUGIN_TYPE_H
#define INITNG_PLUGIN_TYPE_H
typedef enum
{
    EMPTY_UNKNOWN_TYPE = 0,
    ASTATUS_CHANGE = 1,
    CONFIRM_ASTATUS_CHANGE = 2,
    PARSERS = 3,
    SWATCHERS = 4,
    FDWATCHERS = 5,                 /* File descriptor watcher */
    PIPEWATCHERS = 6,               /* stdout pipe watcher (for every process) */
    TIMERS = 7,
    STARTL = 8,
    STOPL = 9,
    MAIN = 10,
    A_FORK = 11,
    HANDLE_KILLED = 12,
    COMPENSATE_TIME = 13,
    ERR_MSG = 14
} e_ptype;

#endif
